curl --request POST \
--url https://app.apigene.ai/api/skill/upload \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://app.apigene.ai/api/skill/upload"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://app.apigene.ai/api/skill/upload', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"content": "<string>",
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"license": "",
"compatibility": "",
"metadata": {},
"allowed_tools": "",
"status": "active",
"scripts": {},
"references": {},
"assets": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Skill Upload
Endpoint to upload and create a skill from a SKILL.md file.
Args: file (UploadFile): The SKILL.md file to upload.
Returns: Skill: The created skill object.
Raises: HTTPException 400: If file validation fails HTTPException 409: If the skill creation fails.
Authorizations
JWT Authorization header using the Bearer scheme. Example: 'Authorization: Bearer {token}'
Body
Response
Successful Response
Unique identifier for the skill
Name of the skill
Description of the skill
Full SKILL.md content
User who created the skill
The date and time when the skill was created.
The date and time when the skill was last updated.
License field
Compatibility field
Metadata dict
Allowed-tools field
Status of the skill: active or disabled
Optional scripts/ files (path -> content)
Show child attributes
Show child attributes
Optional references/ files (path -> content)
Show child attributes
Show child attributes
Optional assets/ files (path -> content)
Show child attributes
Show child attributes
